#define REMOTEXY_MODE__ESP8266WIFI_LIB_POINT
#include <ESP8266WiFi.h>
#include <Servo.h>
#include <RemoteXY.h>

//   
#define REMOTEXY_WIFI_SSID "RemoteXY"
#define REMOTEXY_WIFI_PASSWORD "12345678"
#define REMOTEXY_SERVER_PORT 6377


//    
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =
  { 255,11,0,5,0,167,0,10,8,2,
  68,17,1,19,98,36,4,32,58,48,
  8,70,65,4,5,4,10,10,7,13,
  9,9,7,36,46,5,49,9,30,15,
  23,6,56,27,56,11,129,0,2,15,
  35,4,6,25,46,2,36,208,191,209,
  128,208,181,208,178,209,139,209,136,208,
  181,208,189,32,208,187,208,184,208,188,
  208,184,209,130,32,32,32,32,32,32,
  32,32,32,32,32,32,32,208,178,208,
  178,208,181,208,180,208,184,209,130,208,
  181,32,209,128,208,176,209,129,209,129,
  209,130,208,190,209,143,208,189,208,184,
  208,181,0,129,0,4,55,93,6,4,
  89,91,6,1,209,129,209,131,209,130,
  208,190,209,135,208,189,209,139,208,185,
  32,208,179,209,128,208,176,209,132,208,
  184,208,186,0 };
  
//          
struct {

    // input variables
  char edit_1[11];  // = UTF8    

    // output variables
  float onlineGraph_1;
  uint8_t led_1_r; // =0..255     

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY;
#pragma pack(pop)

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////
#define pinEcho D5//    3 
#define pinTrig D4//    2 
#define S1 D7// 

Servo Serwo1;
int v=20;
void setup() 
{
  RemoteXY_Init (); 
  Serial.begin(9600); 
  pinMode(pinEcho,INPUT);//
 pinMode(pinTrig,OUTPUT);//
  // TODO you setup code
 Serwo1.attach(D7); 
 Serwo1.write (0);
}
int graph=0;
int k;
void loop() 
{ 
  RemoteXY_Handler ();
 
int  v1=atoi(RemoteXY.edit_1);
  if (v1>0)
  v=v1;
 Serial.println(v);
  int d,cm;
digitalWrite(pinTrig,HIGH);//    
delay(100);
digitalWrite(pinTrig,LOW);//    
d=pulseIn(pinEcho,HIGH);//   
cm=d/58;//   
Serial.print("cm=");
Serial.println(cm);
delay(100);
if (cm<v)
{Serwo1.write(0);//180= 
//Serial.print("=");
graph=1;
  }
else
  {Serwo1.write(180);//90=o
   if (graph==1)
  {
    k=k+1;
    }
  graph=0;
  }
 
  // TODO you loop code
  //   RemoteXY   
  //    delay() 
RemoteXY.onlineGraph_1 = float (k);
delay (100);

}